# Estimate tax

> POST /v1/tax/estimate

Source: https://docs.trykintsugi.com/reference/estimate-tax

API version: v1 (legacy API)

POST /v1/tax/estimate

Estimate tax

The Estimate Tax API calculates the estimated tax for a specific
    transaction based on the provided details, including organization nexus,
    transaction details, customer details, and addresses. Optionally simulates nexus being met for tax calculation purposes. The `simulate_nexus_met` parameter is deprecated and will be removed in future releases.

Category: Tax Estimation

Query parameters:
simulate_nexus_met (boolean) - **Deprecated:** Use `simulate_active_registration` in the request body instead.

Request body:
date (string, required) - The date of the transaction in ISO 8601 format (e.g., 2025-01-25T12:00:00Z).
external_id (string, required) - Unique identifier of this transaction in the source system.
currency (CurrencyEnum, required) - The currency in which the transaction is conducted (e.g., USD, EUR).
  allowed values: AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD (and 150 more, see the reference page)
description (string) - An optional description of the transaction.
source (SourceEnum) - While currently not used, it may be used in the future to determine taxability. The source of the transaction (e.g., OTHER).
  allowed values: BIGCOMMERCE, BESTBUY, BUNNY, CHARGEBEE, SHOPIFY, SHOPLINE, ECWID, STRIPE, AMAZON, TIKTOK, CUSTOM, UNKNOWN (and 69 more, see the reference page)
marketplace (boolean) - Indicates if the transaction involves a marketplace.
transaction_items (TransactionItemEstimateBase[], required) - List of items involved in the transaction.
  external_id (string) - A unique identifier for the transaction item.
  date (string, required) - The date of the transaction item.
  description (string) - A description of the item.
  external_product_id (string) - External product identifier. If not found and product_subcategory
        and product_category are not provided, an error occurs.
  product_name (string) - Name of the product. Used if creating a new product.
  product_description (string) - Description of the product. Used if creating a new product.
  product_source (SourceEnum)
    allowed values: BIGCOMMERCE, BESTBUY, BUNNY, CHARGEBEE, SHOPIFY, SHOPLINE, ECWID, STRIPE, AMAZON, TIKTOK, CUSTOM, UNKNOWN (and 69 more, see the reference page)
  product_subcategory (string) - Subcategory of the product. Required if product_category is used
[truncated, see the reference page]

---

Index of every page: https://docs.trykintsugi.com/llms.txt
